- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TimeDomainStages Class Reference

The in-memory representation of the <stages> element. More...

`#include <OSInstance.h>`

Collaboration diagram for TimeDomainStages:

[legend]
List of all members.

## Public Member Functions
| TimeDomainStages ()
| The Stages class constructor.
| ~TimeDomainStages ()
| The Stages class destructor.
| TimeDomainStages ()
| The Stages class constructor.
| ~TimeDomainStages ()
| The Stages class destructor.
## Public Attributes
int | numberOfStages
| numberOfStages is the number of stages in the <stages> element.
TimeDomainStage ** | stage
| stage is pointer to an array of stage object pointers
TimeDomainStage ** | stage
| stage is pointer to an array of stage object pointers

## Detailed Description

The in-memory representation of the <stages> element.

Definition at line 653 of file OSInstance.h.

## Constructor & Destructor Documentation

TimeDomainStages::TimeDomainStages | ( |  | ) |

The Stages class constructor.

Definition at line 865 of file OSInstance.cpp.

TimeDomainStages::~TimeDomainStages | ( |  | ) |

The Stages class destructor.

Definition at line 875 of file OSInstance.cpp.

References numberOfStages, and stage.

TimeDomainStages::TimeDomainStages | ( |  | ) |

The Stages class constructor.

TimeDomainStages::~TimeDomainStages | ( |  | ) |

The Stages class destructor.

## Member Data Documentation

int TimeDomainStages::numberOfStages

numberOfStages is the number of stages in the <stages> element.

Definition at line 665 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainStageConList(), OSInstance::getTimeDomainStageNames(), OSInstance::getTimeDomainStageNumber(), OSInstance::getTimeDomainStageNumberOfConstraints(), OSInstance::getTimeDomainStageNumberOfObjectives(), OSInstance::getTimeDomainStageNumberOfVariables(), OSInstance::getTimeDomainStageObjList(), OSInstance::getTimeDomainStageVarList(), OSInstance::setTimeDomainStageConstraintsOrdered(), OSInstance::setTimeDomainStageConstraintsUnordered(), OSInstance::setTimeDomainStageObjectivesOrdered(), OSInstance::setTimeDomainStageObjectivesUnordered(), OSInstance::setTimeDomainStages(), OSInstance::setTimeDomainStageVariablesOrdered(), OSInstance::setTimeDomainStageVariablesUnordered(), and ~TimeDomainStages().

TimeDomainStage** TimeDomainStages::stage

stage is pointer to an array of stage object pointers

Definition at line 668 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainStageConList(), OSInstance::getTimeDomainStageNames(), OSInstance::getTimeDomainStageNumberOfConstraints(), OSInstance::getTimeDomainStageNumberOfObjectives(), OSInstance::getTimeDomainStageNumberOfVariables(), OSInstance::getTimeDomainStageObjList(), OSInstance::getTimeDomainStageVarList(), OSInstance::setTimeDomainStageConstraintsOrdered(), OSInstance::setTimeDomainStageConstraintsUnordered(), OSInstance::setTimeDomainStageObjectivesOrdered(), OSInstance::setTimeDomainStageObjectivesUnordered(), OSInstance::setTimeDomainStages(), OSInstance::setTimeDomainStageVariablesOrdered(), OSInstance::setTimeDomainStageVariablesUnordered(), and ~TimeDomainStages().

TimeDomainStage** TimeDomainStages::stage

stage is pointer to an array of stage object pointers

Definition at line 610 of file OSInstance.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp